- Qt 5.15
- Qt 3D
- C++ Classes
- QPropertyValueRemovedChangeBase
- Qt 5.15.19 Reference Documentation

# QPropertyValueRemovedChangeBase Class

class Qt3DCore::QPropertyValueRemovedChangeBase

The QPropertyValueRemovedChangeBase class is the base class for all PropertyValueRemoved QSceneChange events. More...

Header: | #include <Qt3DCore/QPropertyValueRemovedChangeBase>
qmake: | QT += 3dcore
Inherits: | Qt3DCore::QSceneChange
Inherited By: | Qt3DCore::QStaticPropertyValueRemovedChangeBase

- List of all members, including inherited members

## Protected Functions

| QPropertyValueRemovedChangeBase(QNodeId subjectId)

## Related Non-Members

typedef | QPropertyValueRemovedChangeBasePtr

## Detailed Description

The QPropertyValueRemovedChangeBase class is the base class for all QSceneChange events that have the changeType() PropertyValueRemoved. You should not need to instantiate this class. Usually you should be using one of its subclasses such as QPropertyNodeRemovedChange.

You can subclass this to create your own node Removed types for communication between your QNode and QBackendNode subclasses when writing your own aspects.

## Member Function Documentation

### `[protected]` QPropertyValueRemovedChangeBase::QPropertyValueRemovedChangeBase(QNodeId subjectId)

Constructs a new QPropertyValueRemovedChangeBase with subjectId

## Related Non-Members

### typedef QPropertyValueRemovedChangeBasePtr

A shared pointer for QPropertyValueRemovedChangeBase.